# base32 class

## Constructors

base32.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

decode(String base32, {Encoding encoding = Encoding.standardRFC4648}) → Uint8List
  Takes in a `base32` string and decodes it back to a Uint8List that can be converted to a hex string using hexEncode
decodeAsHexString(String base32, {Encoding encoding = Encoding.standardRFC4648}) → String
  Takes in a `base32` string and decodes it back to a String in hex format.
decodeAsString(String base32, {Encoding encoding = Encoding.standardRFC4648}) → String
  Takes in a `base32` string and decodes it back to a String.
encode(Uint8List bytesList, {Encoding encoding = Encoding.standardRFC4648}) → String
  Takes in a Uint8List converts it to a Uint8List so that I can run bit operations on it, then outputs a String representation of the base32.
encodeHexString(String b32hex, {Encoding encoding = Encoding.standardRFC4648}) → String
  Takes in a hex String, converts the string to a byte list and runs a normal encode() on it. Returning a String representation of the base32.
encodeString(String utf8string, {Encoding encoding = Encoding.standardRFC4648}) → String
  Takes in a `utf8string`, converts the string to a byte list and runs a normal encode() on it. Returning a String representation of the base32.
isValid(String b32str, {Encoding encoding = Encoding.standardRFC4648}) → bool
  Validates a Base32 string based on the encoding type. Returns true if the string is valid, false otherwise.